GCLOUD_COMPUTE_FORWARDING-RULES_CREATE(1)

NAME

gcloud compute forwarding-rules create - create a forwarding rule to direct network traffic to a load balancer

SYNOPSIS

gcloud compute forwarding-rules create NAME [--address ADDRESS] [--description DESCRIPTION] [--ip-protocol IP_PROTOCOL] [--port-range [PORT | PORT-PORT]] [--global | --region REGION] [--target-http-proxy TARGET_HTTP_PROXY | --target-https-proxy TARGET_HTTPS_PROXY | --target-instance TARGET_INSTANCE | --target-pool TARGET_POOL | --target-vpn-gateway TARGET_VPN_GATEWAY] [--target-instance-zone TARGET_INSTANCE_ZONE] [GLOBAL-FLAG ...]

DESCRIPTION
gcloud compute forwarding-rules create is used to create a forwarding rule. Forwarding rules match and direct certain types of traffic to a load balancer which is controlled by a target pool, a target instance, or a target HTTP proxy. Target pools and target instances perform load balancing at the layer 3 of the OSI networking model (http://en.wikipedia.org/wiki/Network_layer). Target HTTP proxies perform load balancing at layer 7. Forwarding rules can be either regional or global. They are regional if they point to a target pool or a target instance and global if they point to a target HTTP proxy. For more information on load balancing, see https://cloud.google.com/compute/docs/load-balancing-and-autoscaling/. When creating a forwarding rule, exactly one of --target-instance, --target-pool, --target-http-proxy, -target-https-proxy, and --target-vpn-gateway must be specified.

POSITIONAL ARGUMENTS
NAME
    The name of the forwarding rule.

FLAGS
--address ADDRESS
    The external IP address that the forwarding rule will serve. All traffic sent to this IP address is directed to the target pointed to by the forwarding rule. If the address is reserved, it must either (1) reside in the global scope if the forwarding rule is being configured to point to a target HTTP proxy or (2) reside in the same region as the forwarding rule if the forwarding rule is being configured to point to a target pool or target instance. If this flag is omitted, an ephemeral IP address is assigned.
--description DESCRIPTION
    An optional textual description for the forwarding rule.
--global
    If provided, assume the forwarding rules are global. A forwarding rule is global if it references a target HTTP proxy.
--ip-protocol IP_PROTOCOL
    The IP protocol that the rule will serve. If left empty, TCP is used. Supported protocols are: AH, ESP, SCTP, TCP, UDP.
--port-range [PORT | PORT-PORT]
    If specified, only packets addressed to ports in the specified range will be forwarded. If not specified for regional forwarding rules, all ports are matched. This flag is required for global forwarding rules. Either an individual port (--port-range 80) or a range of ports (--port-range 3000-3100) may be specified.
--region REGION
    The region of the forwarding rule to operate on. If not specified, you will be prompted to select a region. To avoid prompting when this flag is omitted, you can set the compute/region property:
        $ gcloud config set compute/region REGION
    A list of regions can be fetched by running:
        $ gcloud compute regions list
    To unset the property, run:
        $ gcloud config unset compute/region
    Alternatively, the region can be stored in the environment variable CLOUDSDK_COMPUTE_REGION.
--target-http-proxy TARGET_HTTP_PROXY
    The target HTTP proxy that will receive the traffic.
--target-https-proxy TARGET_HTTPS_PROXY
    The target HTTPS proxy that will receive the traffic.
--target-instance TARGET_INSTANCE
    The name of the target instance that will receive the traffic. The target instance must be in a zone that's in the forwarding rule's region. Global forwarding rules may not direct traffic to target instances. If not specified, you will be prompted to select a zone. To avoid prompting when this flag is omitted, you can set the compute/zone property:
        $ gcloud config set compute/zone ZONE
    A list of zones can be fetched by running:
        $ gcloud compute zones list
    To unset the property, run:
        $ gcloud config unset compute/zone
    Alternatively, the zone can be stored in the environment variable CLOUDSDK_COMPUTE_ZONE.
--target-instance-zone TARGET_INSTANCE_ZONE
    The zone of the target instance.
--target-pool TARGET_POOL
    The target pool that will receive the traffic. The target pool must be in the same region as the forwarding rule. Global forwarding rules may not direct traffic to target pools.
--target-vpn-gateway TARGET_VPN_GATEWAY
    The target VPN gateway that will receive forwarded traffic.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.